:root {
    --range-slider-color: var(--primary-base-color);
    --range-slider-active-color: var(--primary-base-color);
}

.RangeSelector {
    &_isChanged {
        --range-slider-color: var(--range-slider-active-color);
    }
}

.input-range {
    width: calc(100% - 24px);
    margin: 30px auto;

    &__slider,
    &__track--active {
        border-color: var(--range-slider-color);
        background-color: var(--range-slider-color);
    }

    &__slider {
        width: 24px;
        height: 24px;
        margin-top: -14px;
        margin-left: -12px;
        background-color: var(--primary-base-color);

        &:active {
            transform: none;
        }
    }

    &__track {
        height: 2px;
        background: var(--primary-base-color);
    }

    &__label {
        &--value {
            top: -2.2rem;
        }

        &--min,
        &--max {
            bottom: -1.6rem;
        }
    }
}
